Bug 119732 - gnome volume control shows both OSS and alsa settings
gnome volume control shows both OSS and alsa settings
Product: Fedora
Classification: Fedora
Component: gnome-media (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
: 119540 132363 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-04-01 16:04 EST by Santiago Erquicia
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-16 13:59:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot of gnome volume control (22.25 KB, image/png)
2004-07-21 14:17 EDT, Santiago Erquicia
no flags Details

  None (edit)
Description Santiago Erquicia 2004-04-01 16:04:27 EST
Description of problem:
gnome volume control shows two devices for my ali5451 sound card.  One
says something about OSS and the other about alsa

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Open the gnome volume control
Actual results:
Two tabs are shown

Expected results:
Only one tab should be shown

Additional info:
Is this because you set OSS compatibility when loading alsa?
Comment 1 Mike Becker 2004-04-24 19:47:25 EDT
I have the same problem with two mixers being displayed, ALSA Mixer
and OSS Mixer, in Fedora Core 2 Test 3.  When I first login the login
sound file is heard but after than, no sound at all.  

Too, the problem as described in bug #121376, the volume-applet slider
decrements step-by-step, all on it's own...

FYI - sound plays quite well in KDE but Gnome is my favored desktop.
Comment 2 Mike Becker 2004-04-24 20:30:13 EDT
Next time I will double-check things before I say anything -- I no
longer have any sound working in KDE either!!!  Everything looks
normal, Kmix shows I should have sound at my disposal, but nothing is
Comment 3 Joseph Kelch 2004-05-03 15:04:32 EDT
Also see this on FC 2 test 3 with a Soundblaster Live 5.1.  If I grab 
a slider from one and move it, I get the appropriate sound, but if I 
just set one and then go to the other and click on a slider, sound 
goes off.  For now I have muted the OSS master volume and I'm using 
the alsa controls only, though I am not getting any sound from my 
rear satellites when playing CD's, though I do get sound in Windows.
Comment 4 Adam Bowns 2004-05-20 16:53:00 EDT
I have the same problem (including the volume decrement) with FC2
final. I'd be happy to give any more assistance if someone needs to
work with a machine that can reproduce this problem.
Comment 5 Chris Petersen 2004-05-29 14:21:28 EDT
My bug sounds related to this, so I'll post here instead of creating a
new bug.  Basically, I have both OSS and ALSA tabs in gnome-volume
control (fc2 final), and my volume settings (gnome) are not sticking
between sessions -- it always comes up with the PCM volume at zero). 
It saved once when I checked "save session" (I don't do this often -
like to have a standard "startup state" for my sessions, regardless of
what I was doing the night before), but the next reboot after that the
volume was back to zero again.
Comment 6 Mark McLoughlin 2004-07-21 10:35:36 EDT
Volume decrement problem is in bug #121376.

This bug should be against gnome-volume-control in gnome-media
Comment 7 Bastien Nocera 2004-07-21 10:48:23 EDT
Which devices are shown exactly?
Could the original reporter please post a screenshot of the
gnome-volume-control? Could you also attach the output of lsmod, as
well as the modules.conf (or modprobe.conf for FC2 and above)?
Comment 8 Santiago Erquicia 2004-07-21 14:17:14 EDT
Created attachment 102114 [details]
Screenshot of gnome volume control

It looks like it shows the ALSA and OSS setup.	Maybe it is that I have the OSS
setup just to be compatible with olther programs
Comment 9 Santiago Erquicia 2004-07-21 14:18:46 EDT
Output of lsmod.  This is under Fedora Core 2 final as well as the

[pampa@localhost pampa]$ /sbin/lsmod
Module                  Size  Used by
snd_mixer_oss          13824  2
snd_ali5451            17224  3
snd_ac97_codec         54788  1 snd_ali5451
snd_pcm                69256  1 snd_ali5451
snd_page_alloc          8072  1 snd_pcm
snd_timer              17284  1 snd_pcm
snd                    39396  7
soundcore               6112  3 snd
parport_pc             19392  0
lp                      8236  0
parport                29640  2 parport_pc,lp
autofs4                12932  0
sunrpc                109924  1
orinoco_cs              6152  0
ds                     12292  1 orinoco_cs
pcmcia_core            47176  2 orinoco_cs,ds
orinoco                31500  1 orinoco_cs
hermes                  6528  2 orinoco_cs,orinoco
8139too                17920  0
mii                     3584  1 8139too
ipt_REJECT              4736  1
ipt_state               1536  1
ip_conntrack           24968  1 ipt_state
iptable_filter          2176  1
ip_tables              13568  3 ipt_REJECT,ipt_state,iptable_filter
sg                     27680  0
scsi_mod               91984  1 sg
microcode               4768  0
nls_utf8                1536  1
nls_cp437               5376  1
vfat                    9984  1
fat                    33600  1 vfat
dm_mod                 32800  0
joydev                  6976  0
ohci_hcd               16016  0
ehci_hcd               22916  0
toshiba_acpi            4764  0
button                  4632  0
battery                 6924  0
asus_acpi               8984  0
ac                      3340  0
ipv6                  184672  6
ext3                  103656  2
jbd                    40728  1 ext3
Comment 10 Colin Walters 2004-09-16 13:05:10 EDT
*** Bug 132363 has been marked as a duplicate of this bug. ***
Comment 11 Colin Walters 2004-09-16 13:13:08 EDT
*** Bug 119540 has been marked as a duplicate of this bug. ***
Comment 12 Colin Walters 2004-09-16 13:59:39 EDT
This bug is being tracked upstream here:

Note You need to log in before you can comment on or make changes to this bug.